<%@ page import="java.io.BufferedReader, java.util.Vector,
								java.util.Iterator, java.io.FileOutputStream,
								java.io.File" %>
<%

    // first get hold of a reader on the incoming request
    BufferedReader in = request.getReader();

    // read this data in a vector line by line
    Vector readData = new Vector();

    String lineRead;
    while((lineRead = in.readLine()) != null){

    	readData.add(lineRead);
    }

    String DELIMITER = "--";
    String CRLF      = "\r\n";

    StringBuffer fileDataBuffer = new StringBuffer();

    Iterator itr = readData.iterator();
    while(itr.hasNext()){
    	String data = (String)itr.next();

    	if(data.startsWith(DELIMITER) && !data.endsWith(DELIMITER)){
    		// we are starting an encapsulation boundary

    		data = (String)itr.next();
    		int index;
    		if((index = data.indexOf("filename")) != -1){

    			// grab the filename out of this line
    			String fullFileName = data.substring(index + 10, data.length() - 1);

    			// means that this encapsulation boundary contains a file
    			// get rid of the header and CRLF
    			itr.next();
    			itr.next();
    			String fileData;

    			while(!((fileData = (String)itr.next()).startsWith(DELIMITER))){
    				fileDataBuffer.append(fileData + CRLF);
    			}

    			FileOutputStream fos = new FileOutputStream(
    															getServletContext().getRealPath("/") +
    															new File(fullFileName).getName());
    			fos.write(fileDataBuffer.toString().getBytes());
    			fos.close();
    		}
    	}
    }
%>
