<%@ page import = "javax.naming.*, javax.sql.*, java.sql.*, org.apache.commons.dbcp.datasources.PerUserPoolDataSource" %>
<%
  Context initContext = new InitialContext();
	PerUserPoolDataSource ds = (PerUserPoolDataSource)initContext.lookup("java:/comp/env/jdbc/dbcpExample");
	
	out.println("<h2>Before getting a connection</h2>");
	out.println("Idle in root Pool: " + ds.getNumIdle("root", "password"));
	out.println("<br>Idle in normal Pool: " + ds.getNumIdle("normal", "normal"));


	Connection conn = ds.getConnection("root", "password");
	Connection connNormal = ds.getConnection("normal", "normal");
	
	out.println("<h2>After getting a connection</h2>");

	out.println("Idle in root Pool: " + ds.getNumIdle("root", "password"));
	out.println("<br>Idle in normal Pool: " + ds.getNumIdle("normal", "normal"));

	conn.close();
	connNormal.close();
	
	out.println("<h2>After returning borrowed connection</h2>");
	out.println("Idle in root Pool: " + ds.getNumIdle("root", "password"));
	out.println("<br>Idle in normal Pool: " + ds.getNumIdle("normal", "normal"));	
	
%>